Subject: Grad programs - Internat'l Agricultural Development??
From: [email-masked] (Internat'l Center-New Forests Project)
Date: 22 Jul 1994 15:35:48 -0400
Newsgroups: alt.agriculture.misc,sci.agriculture,alt.sustainable.agriculture

I am seeking information about graduate programs in International 
Agricultural Development or International Development (with a focus on 
rural/agricultural development).  I know about the programs at Cornell 
University and UC-Davis--if anyone out there has inside info about these 
two programs, I'd love to hear your opinions!!  

Can anyone suggest other programs to look into??  

Thanks for the help!
Jessica   --   Post a response or email me at [email-masked]